<template>
  <div>
    <BizTable
      ref="bt"
      :formatCol="formatCol"
      metaName="route_info"
      packageName="common"
      isMulti
      :savebefore="beforesave"
      :editbefore="beforedit"
      :addbefore="beforeadd"
    ></BizTable>
  </div>
</template>
  <script>
import BizTable from "../components/tables/biztables";
export default {
  name: "routeinfo_page",
  data() {
    return {};
  },
  components: {
    BizTable
  },
  methods: {
     beforeadd(row, cbk) {
      return cbk({ value: true, message: null });
    },
    beforedit(row, cbk) {
      return cbk({ value: true, message: null });
    },
    beforesave(key, row, cbk) {
      return cbk(row);
    },
    // onnew() {
    //   this.$refs.bt.setFormCtlVisable("userName", true);
    // },
    // onedit() {
    //   this.$refs.bt.setFormCtlVisable("userName", false);
    // },
    formatCol(row, key, index) {
      // if (key == "roleName") {
      //   let rolestr = row.Roles.map(item => item.name).join(",");
      //   row.roles = row.Roles.map(item => item.id);
      //   return `<span>${rolestr}</span>`;
      // }
      // if (key == "isAdmin" || key == "isSuper") {
      //   return `<span>${row[key] ? "是" : "否"}</span>`;
      // }
      if (key == "created_at") {
        return `<span>${new Date(row[key]).toLocaleString()}</span>`;
      }
      return row[key];
    }
  }
};
</script>
  <style>
</style>
